## qbittorrent-enhanced 4.6.0.10

=== src/app/CMakeLists.txt ===
file(GLOB QBT_TS_FILES "${qBittorrent_SOURCE_DIR}/src/lang/*.ts")
# Custom target to update .ts files and include new strings from source files
# Depends on Qt's LinguistTools
get_target_property(QT_LUPDATE_EXECUTABLE Qt::lupdate IMPORTED_LOCATION)
add_custom_target(qbt_update_translations
                    COMMAND ${QT_LUPDATE_EXECUTABLE} -extensions ui,c,c++,cc,cpp,cxx,ch,h,h++,hh,hpp,hxx
                                                     ${qBittorrent_SOURCE_DIR}
                                                     -ts ${QBT_TS_FILES}
                    WORKING_DIRECTORY "${qBittorrent_SOURCE_DIR}"
                    VERBATIM
                    COMMAND_EXPAND_LISTS)

# Generate and configure translation files
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
# Based on https://gist.github.com/giraldeau/546ba5512a74dfe9d8ea0862d66db412
set_source_files_properties(${QBT_TS_FILES} PROPERTIES OUTPUT_LOCATION "${qBittorrent_BINARY_DIR}/src/lang")
qt_add_translation(QBT_QM_FILES ${QBT_TS_FILES} OPTIONS -silent)
configure_file("${qBittorrent_SOURCE_DIR}/src/lang/lang.qrc" "${qBittorrent_BINARY_DIR}/src/lang/lang.qrc" COPYONLY)

if (WEBUI)
    file(GLOB QBT_WEBUI_TS_FILES "${qBittorrent_SOURCE_DIR}/src/webui/www/translations/*.ts")
    set_source_files_properties(${QBT_WEBUI_TS_FILES}
        PROPERTIES OUTPUT_LOCATION "${qBittorrent_BINARY_DIR}/src/webui/www/translations")
    qt_add_translation(QBT_WEBUI_QM_FILES ${QBT_WEBUI_TS_FILES} OPTIONS -silent)
    configure_file("${qBittorrent_SOURCE_DIR}/src/webui/www/translations/webui_translations.qrc"
        "${qBittorrent_BINARY_DIR}/src/webui/www/translations/webui_translations.qrc" COPYONLY)
endif()

# Executable target configuration
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
add_executable(qbt_app)

target_sources(qbt_app PRIVATE
    # headers
    application.h
    applicationinstancemanager.h
    cmdoptions.h
    filelogger.h
    qtlocalpeer/qtlocalpeer.h
    signalhandler.h
    upgrade.h

    # sources
    application.cpp
    applicationinstancemanager.cpp
    cmdoptions.cpp
    filelogger.cpp
    main.cpp
    qtlocalpeer/qtlocalpeer.cpp
    signalhandler.cpp
    upgrade.cpp

    # resources
    "${qBittorrent_SOURCE_DIR}/src/icons/icons.qrc"
    "${qBittorrent_SOURCE_DIR}/src/searchengine/searchengine.qrc"
    ${QBT_QM_FILES}
    "${qBittorrent_BINARY_DIR}/src/lang/lang.qrc" # yes, it's supposed to be "*_BINARY_DIR"
)

target_link_libraries(qbt_app PRIVATE
    qbt_base
)

set_target_properties(qbt_app PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")
if (GUI)
    set_target_properties(qbt_app PROPERTIES OUTPUT_NAME qbittorrent)
else()
    set_target_properties(qbt_app PROPERTIES OUTPUT_NAME qbittorrent-nox)
endif()

# Additional platform specific configuration
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    include(FindQtTranslations)
    qbt_get_qt_translations(QT_TRANSLATIONS)
    set_source_files_properties(${QT_TRANSLATIONS} PROPERTIES MACOSX_PACKAGE_LOCATION translations)
    set_source_files_properties(
        "${qBittorrent_SOURCE_DIR}/dist/mac/qt.conf"
        "${qBittorrent_SOURCE_DIR}/dist/mac/qBitTorrentDocument.icns"
        "${qBittorrent_SOURCE_DIR}/dist/mac/qbittorrent_mac.icns"
            PROPERTIES
                MACOSX_PACKAGE_LOCATION Resources
    )
    # provide variables for substitution in dist/mac/Info.plist
    get_target_property(EXECUTABLE_NAME qbt_app OUTPUT_NAME)
    # This variable name should be changed once qmake is no longer used. Refer to the discussion in PR #14813
    set(MACOSX_DEPLOYMENT_TARGET ${CMAKE_OSX_DEPLOYMENT_TARGET})
    set_target_properties(qbt_app PROPERTIES
        MACOSX_BUNDLE ON
        MACOSX_BUNDLE_BUNDLE_NAME "qBittorrent"
        MACOSX_BUNDLE_INFO_PLIST ${qBittorrent_SOURCE_DIR}/dist/mac/Info.plist
    )
    target_sources(qbt_app PRIVATE
        ${QT_TRANSLATIONS}
        ${qBittorrent_SOURCE_DIR}/dist/mac/qt.conf
        ${qBittorrent_SOURCE_DIR}/dist/mac/qBitTorrentDocument.icns
        ${qBittorrent_SOURCE_DIR}/dist/mac/qbittorrent_mac.icns
    )
elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    set_target_properties(qbt_app PROPERTIES WIN32_EXECUTABLE ON)
    if (MINGW)
        target_sources(qbt_app PRIVATE ${qBittorrent_SOURCE_DIR}/src/qbittorrent_mingw.rc)
    else()
        target_sources(qbt_app PRIVATE ${qBittorrent_SOURCE_DIR}/src/qbittorrent.rc)
    endif()
    target_sources(qbt_app PRIVATE ${qBittorrent_SOURCE_DIR}/src/qbittorrent.exe.manifest)
endif()

# Additional feature dependent configuration
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
if (GUI)
    target_link_libraries(qbt_app PRIVATE qbt_gui)
    if ((CMAKE_SYSTEM_NAME STREQUAL "Windows") OR (CMAKE_SYSTEM_NAME STREQUAL "Darwin"))
        qt_import_plugins(qbt_app INCLUDE Qt::QSvgIconPlugin Qt::QSvgPlugin)
    endif()
endif()

if (STACKTRACE)
    target_compile_definitions(qbt_app PRIVATE STACKTRACE)

    target_sources(qbt_app PRIVATE
        stacktrace.h
        stacktrace.cpp
    )

    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(qbt_app PRIVATE BOOST_STACKTRACE_GNU_SOURCE_NOT_REQUIRED)
        target_link_options(qbt_app PUBLIC -rdynamic)
    elseif (CMAKE_SYSTEM_NAME STREQUAL "Linux")
        target_link_libraries(qbt_app PUBLIC ${CMAKE_DL_LIBS})
        target_link_options(qbt_app PUBLIC -rdynamic)
    elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
        if (MSVC)
            target_compile_options(qbt_app PRIVATE /Zi)
            target_link_options(qbt_app PUBLIC
                /DEBUG
                /PDBALTPATH:$<TARGET_PDB_FILE_NAME:qbt_app>
            )

            if (CMAKE_SIZEOF_VOID_P EQUAL 4)
                target_compile_options(qbt_app PRIVATE /Oy-)
            endif()
        else()
            target_link_options(qbt_app PUBLIC LINKER:--export-dynamic)

            if (CMAKE_SIZEOF_VOID_P EQUAL 4)
                target_compile_options(qbt_app PRIVATE -fno-omit-frame-pointer)
            endif()
        endif()
    endif()
endif()

if (WEBUI)
    target_sources(qbt_app PRIVATE
        ${QBT_WEBUI_QM_FILES}
        ${qBittorrent_BINARY_DIR}/src/webui/www/translations/webui_translations.qrc # yes, it's supposed to be "*_BINARY_DIR"
    )
    target_link_libraries(qbt_app PRIVATE qbt_webui)
endif()

# Installation
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
install(TARGETS qbt_app
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    BUNDLE  DESTINATION .
    COMPONENT runtime
)

if (MSVC)
    install(FILES $<TARGET_PDB_FILE:qbt_app>
        DESTINATION ${CMAKE_INSTALL_BINDIR}
        OPTIONAL
    )
endif()

## qbittorrent-enhanced 4.5.3.10

=== debian/changelog ===
qbittorrent-enhanced (4.5.3.10-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump up to dh compat 10.
  * Update minvers of Qt5 and libtorrent-raster BDs.
  * Don't build any dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Jun 2023 14:05:06 -0700

qbittorrent-enhanced (4.5.3.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.3.10
   - Official Update (v4.5.3)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Wed, 31 May 2023 21:41:06 +0800

qbittorrent-enhanced (4.5.2.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.2.10
   - Official Update (v4.5.2)

 -- poplite <poplite.xyz@gmail.com>  Tue, 28 Feb 2023 23:21:59 +0800

qbittorrent-enhanced (4.5.1.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.1.10
   - Official Update (v4.5.1)
   - Update offline downloader filter
   - [Cherry Pick] qbittorrent#18506 qbittorrent#18394 qbittorrent#18503 qbittorrent#18554 qbittorrent#18555

 -- poplite <poplite.xyz@gmail.com>  Fri, 17 Feb 2023 11:21:35 +0800

qbittorrent-enhanced (4.5.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.0.10
   - Official Update (v4.5.0)
  * debian/patches: Refresh qbee-desktop-names.diff
  * debian/patches: Refresh honor-buildflags.patch

 -- poplite <poplite.xyz@gmail.com>  Sun, 04 Dec 2022 11:29:59 +0800

qbittorrent-enhanced (4.4.5.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.5.10
   - Official Update (v4.4.5)
   - Switch to libtorrent 1.2

 -- poplite <poplite.xyz@gmail.com>  Sun, 04 Sep 2022 12:10:12 +0800

qbittorrent-enhanced (4.4.4.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.4.10
   - Official Update (v4.4.4)

 -- poplite <poplite.xyz@gmail.com>  Wed, 24 Aug 2022 21:32:47 +0800

qbittorrent-enhanced (4.4.3.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.3.10
   - Official Update (v4.4.3)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Tue, 24 May 2022 11:30:29 +0800

qbittorrent-enhanced (4.4.2.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.2.10
   - Official Update (v4.4.2)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Sat, 26 Mar 2022 10:15:54 +0800

qbittorrent-enhanced (4.4.1.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.1.10
   - Official Update (v4.4.0)
   - Bittorrent Media Player Blacklist Update: StellarPlayer
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Thu, 17 Feb 2022 10:03:04 +0800

qbittorrent-enhanced (4.4.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.4.0.10
   - Official Update (v4.4.0)
  * debian/patches: Refresh qbee-desktop-names.diff
  * debian/patches: Disable kfreebsd-detection.patch

 -- poplite <poplite.xyz@gmail.com>  Mon, 10 Jan 2022 16:56:41 +0800

qbittorrent-enhanced (4.3.9.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.9.10
   - Official Update (v4.3.9)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Mon, 01 Nov 2021 10:33:56 +0800

qbittorrent-enhanced (4.3.8.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.8.10
   - Official Update (v4.3.8)

 -- poplite <poplite.xyz@gmail.com>  Tue, 31 Aug 2021 09:31:27 +0800

qbittorrent-enhanced (4.3.7.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.7.10
   - Official Update (v4.3.7)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Thu, 05 Aug 2021 13:07:38 +0800

qbittorrent-enhanced (4.3.5.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.5.10
   - Official Update (v4.3.5)
   - Peer whitelist/blacklist
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Tue, 04 May 2021 20:01:04 +0800

qbittorrent-enhanced (4.3.4.11-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.4.11

 -- poplite <poplite.xyz@gmail.com>  Mon, 29 Mar 2021 10:03:12 +0800

qbittorrent-enhanced (4.3.4.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.4.10
   - - Official Update (v4.3.4.1)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Sun, 28 Mar 2021 10:54:00 +0800

qbittorrent-enhanced (4.3.2.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.2.10
   - Official Update (v4.3.2)
  * debian/control: Require libtorrent-rasterbar >= 1.2.11
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Mon, 28 Dec 2020 15:11:09 +0800

qbittorrent-enhanced (4.3.1.11-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.1.11
    - Drop custom ipfilter.dat parser and workaround (#185)
    - Fix high CPU usage (#187)
    - [cherry-pick] several bugfix commits

 -- poplite <poplite.xyz@gmail.com>  Tue, 01 Dec 2020 08:19:01 +0800

qbittorrent-enhanced (4.3.1.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.1.10
    - Official update (v4.3.1)
    - Reimplement "ban bad peers" feature (#177)

 -- poplite <poplite.xyz@gmail.com>  Fri, 27 Nov 2020 08:34:57 +0800

qbittorrent-enhanced (4.3.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.3.0.10
   - Official update (v4.3.0.1)
   - Max concurrent http announces limit raised to 500.
   - Allow user to add peers in a "Trackerless" Private Torrents. (qbittorrent#13539)
   - [CherryPick] Fix toggling advanced option in WebUI

  * debian/rules: Enable debug symbol package
  * debian/missing-sources: Add clipboard-2.0.0.js

 -- poplite <poplite.xyz@gmail.com>  Fri, 23 Oct 2020 20:07:14 +0800

qbittorrent-enhanced (4.2.5.16-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.2.5.16
   - [Windows] Boost Library downgrade to 1.73 (Fix #155 #156)
   - Save torrent resume data when enabling IP Filter



=== debian/control ===
Source: qbittorrent-enhanced
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: poplite <poplite.xyz@gmail.com>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               libboost-dev (>= 1.40.0),
               libqt5svg5-dev (>= 5.15.0),
               libtorrent-rasterbar-dev (>= 2.0.8),
               qtbase5-dev (>= 5.15.0),
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.1.0
Homepage: https://github.com/c0re100/qBittorrent-Enhanced-Edition

Package: qbittorrent-enhanced
Architecture: any
Depends: geoip-database,
         libqt5sql5-sqlite,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
# Suggests: qbittorrent-enhanced-dbg
Conflicts: qbittorrent
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI (Enhanced Edition)
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
 user interface. qBittorrent is a feature rich but lightweight client that is
 very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-enhanced-nox
Architecture: any
Depends: adduser,
         libqt5sql5-sqlite,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qbittorrent-enhanced-dbg
Conflicts: qbittorrent-nox
Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition) (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for headless
 servers. It is a feature rich but lightweight client that is very similar to
 rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf --with systemd

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- --disable-gui \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_auto_configure --builddirectory build-gui -- \
		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	sed -i '/STRIP/d' build-nox/src/Makefile
	sed -i '/STRIP/d' build-gui/src/Makefile
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-enhanced-nox \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-enhanced-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent-enhanced \
		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent-enhanced

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## qbittorrent-enhanced 4.5.4.10

=== debian/changelog ===
qbittorrent-enhanced (4.5.4.10-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Aug 2023 11:22:04 -0700

qbittorrent-enhanced (4.5.4.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.4.10
   - Official Update (v4.5.4)
   - [CherryPick] WebUI: Show only hosts in tracker filter list
     qbittorrent#18190
   - [CherryPick] WebUI: use natural sort on tracker list qbittorrent#19069

 -- poplite <poplite.xyz@gmail.com>  Thu, 22 Jun 2023 18:37:43 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: poplite <poplite.xyz@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libboost-dev (>= 1.40.0),
-               libqt5svg5-dev (>= 5.15.0),
-               libtorrent-rasterbar-dev (>= 2.0.8),
-               qtbase5-dev (>= 5.15.0),
+               libqt5svg5-dev (>= 5.9.0),
+               libtorrent-rasterbar-dev (>= 1.2.11),
+               qtbase5-dev (>= 5.9.0),
                qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.1.0
@@ -23,7 +23,7 @@
          ${shlibs:Depends}
 # Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent
-Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI (Enhanced Edition)
+Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition)
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
  very similar to uTorrent. Its main features are:
@@ -50,14 +50,14 @@
          lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: qbittorrent-enhanced-dbg
+# Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent-nox
-Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition) (without X support)
+Description: qBittorrent client (Enhanced Edition) (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
- require X and can be controlled via a WebUI, thus is more suitable for headless
- servers. It is a feature rich but lightweight client that is very similar to
- rTorrent. Its main features are:
+ require X and can be controlled via a WebUI, thus is more suitable for
+ headless servers. It is a feature rich yet lightweight client that is very
+ similar to rTorrent. Its main features are:
  .
   * Remote control through a Web user interface
   * Vuze-compatible protocol encryption

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,5 @@
 	dh_auto_clean --builddirectory build-nox
 	dh_auto_clean --builddirectory build-gui
 
-# No dbgsym packages:
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
+	dh_strip -a --no-automatic-dbgsym

## qbittorrent-enhanced 4.6.0.10

=== debian/changelog ===
qbittorrent-enhanced (4.6.0.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Nov 2023 06:46:28 -0800

qbittorrent-enhanced (4.6.0.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.6.0.10
   - Official Update (v4.6.0)
  * debian/patches: Refresh qbee-desktop-names.diff

 -- poplite <poplite.xyz@gmail.com>  Tue, 31 Oct 2023 07:07:06 +0800

qbittorrent-enhanced (4.5.5.10-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 4.5.5.10
   - Official Update (v4.5.5)

 -- poplite <poplite.xyz@gmail.com>  Fri, 01 Sep 2023 00:09:50 +0800

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
 Architecture: any
 Depends: geoip-database,
          libqt5sql5-sqlite,
+         libqt5svg5,
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
-# Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent
-Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition)
+Description: bittorrent client with a Qt5 GUI (Enhanced Edition)
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a Qt5
  user interface. qBittorrent is a feature rich but lightweight client that is
  very similar to uTorrent. Its main features are:
@@ -50,14 +50,13 @@
          lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
-# Suggests: qbittorrent-enhanced-dbg
 Conflicts: qbittorrent-nox
-Description: qBittorrent client (Enhanced Edition) (without X support)
+Description: bittorrent client based on libtorrent-rasterbar (Enhanced Edition) (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
- require X and can be controlled via a WebUI, thus is more suitable for
- headless servers. It is a feature rich yet lightweight client that is very
- similar to rTorrent. Its main features are:
+ require X and can be controlled via a WebUI, thus is more suitable for headless
+ servers. It is a feature rich but lightweight client that is very similar to
+ rTorrent. Its main features are:
  .
   * Remote control through a Web user interface
   * Vuze-compatible protocol encryption

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/release-(.+)\.tar\.gz/qbittorrent-enhanced_$1\.orig\.tar\.gz/ \
  https://github.com/c0re100/qBittorrent-Enhanced-Edition/tags .*/release-(.+)\.tar\.gz

## qbittorrent-enhanced 5.1.2.10

=== src/gui/CMakeLists.txt ===
find_package(Qt6 ${minQt6Version} REQUIRED COMPONENTS Widgets Svg)

# CMAKE_AUTO_UI causes unnecessary rebuilds
qt_wrap_ui(UI_HEADERS
    aboutdialog.ui
    addnewtorrentdialog.ui
    addtorrentparamswidget.ui
    autoexpandabledialog.ui
    banlistoptionsdialog.ui
    cookiesdialog.ui
    deletionconfirmationdialog.ui
    downloadfromurldialog.ui
    executionlogwidget.ui
    ipsubnetwhitelistoptionsdialog.ui
    mainwindow.ui
    optionsdialog.ui
    previewselectdialog.ui
    properties/peersadditiondialog.ui
    properties/propertieswidget.ui
    rss/automatedrssdownloader.ui
    rss/rsswidget.ui
    search/pluginselectdialog.ui
    search/pluginsourcedialog.ui
    search/searchjobwidget.ui
    search/searchwidget.ui
    shadowbanlistoptionsdialog.ui
    shutdownconfirmdialog.ui
    speedlimitdialog.ui
    statsdialog.ui
    torrentcategorydialog.ui
    torrentcreatordialog.ui
    torrentoptionsdialog.ui
    torrentsharelimitswidget.ui
    torrenttagsdialog.ui
    trackerentriesdialog.ui
    trackersadditiondialog.ui
    uithemedialog.ui
    watchedfolderoptionsdialog.ui
)

add_library(qbt_gui STATIC
    # headers
    aboutdialog.h
    addnewtorrentdialog.h
    addtorrentparamswidget.h
    advancedsettings.h
    autoexpandabledialog.h
    banlistoptionsdialog.h
    color.h
    colorscheme.h
    cookiesdialog.h
    cookiesmodel.h
    deletionconfirmationdialog.h
    desktopintegration.h
    downloadfromurldialog.h
    executionlogwidget.h
    filterpatternformat.h
    filterpatternformatmenu.h
    flowlayout.h
    fspathedit.h
    fspathedit_p.h
    guiaddtorrentmanager.h
    guiapplicationcomponent.h
    hidabletabwidget.h
    interfaces/iguiapplication.h
    ipsubnetwhitelistoptionsdialog.h
    lineedit.h
    log/logfiltermodel.h
    log/loglistview.h
    log/logmodel.h
    mainwindow.h
    optionsdialog.h
    powermanagement/powermanagement.h
    previewlistdelegate.h
    previewselectdialog.h
    progressbarpainter.h
    properties/downloadedpiecesbar.h
    properties/peerlistsortmodel.h
    properties/peerlistwidget.h
    properties/peersadditiondialog.h
    properties/pieceavailabilitybar.h
    properties/piecesbar.h
    properties/propertieswidget.h
    properties/proptabbar.h
    properties/speedplotview.h
    properties/speedwidget.h
    raisedmessagebox.h
    rss/articlelistwidget.h
    rss/automatedrssdownloader.h
    rss/feedlistwidget.h
    rss/htmlbrowser.h
    rss/rsswidget.h
    search/pluginselectdialog.h
    search/pluginsourcedialog.h
    search/searchjobwidget.h
    search/searchsortmodel.h
    search/searchwidget.h
    shadowbanlistoptionsdialog.h
    shutdownconfirmdialog.h
    speedlimitdialog.h
    statsdialog.h
    statusbar.h
    torrentcategorydialog.h
    torrentcontentfiltermodel.h
    torrentcontentitemdelegate.h
    torrentcontentmodel.h
    torrentcontentmodelfile.h
    torrentcontentmodelfolder.h
    torrentcontentmodelitem.h
    torrentcontentwidget.h
    torrentcreatordialog.h
    torrentoptionsdialog.h
    torrentsharelimitswidget.h
    torrenttagsdialog.h
    trackerentriesdialog.h
    trackerlist/trackerlistitemdelegate.h
    trackerlist/trackerlistmodel.h
    trackerlist/trackerlistsortmodel.h
    trackerlist/trackerlistwidget.h
    trackersadditiondialog.h
    transferlistdelegate.h
    transferlistfilters/basefilterwidget.h
    transferlistfilters/categoryfiltermodel.h
    transferlistfilters/categoryfilterproxymodel.h
    transferlistfilters/categoryfilterwidget.h
    transferlistfilters/statusfilterwidget.h
    transferlistfilters/tagfiltermodel.h
    transferlistfilters/tagfilterproxymodel.h
    transferlistfilters/tagfilterwidget.h
    transferlistfilters/trackersfilterwidget.h
    transferlistfilterswidget.h
    transferlistmodel.h
    transferlistsortmodel.h
    transferlistwidget.h
    tristateaction.h
    tristatewidget.h
    uithemecommon.h
    uithemedialog.h
    uithememanager.h
    uithemesource.h
    utils.h
    watchedfolderoptionsdialog.h
    watchedfoldersmodel.h
    windowstate.h

    # sources
    aboutdialog.cpp
    addnewtorrentdialog.cpp
    addtorrentparamswidget.cpp
    advancedsettings.cpp
    autoexpandabledialog.cpp
    banlistoptionsdialog.cpp
    cookiesdialog.cpp
    cookiesmodel.cpp
    deletionconfirmationdialog.cpp
    desktopintegration.cpp
    downloadfromurldialog.cpp
    executionlogwidget.cpp
    filterpatternformatmenu.cpp
    flowlayout.cpp
    fspathedit.cpp
    fspathedit_p.cpp
    guiaddtorrentmanager.cpp
    hidabletabwidget.cpp
    ipsubnetwhitelistoptionsdialog.cpp
    lineedit.cpp
    log/logfiltermodel.cpp
    log/loglistview.cpp
    log/logmodel.cpp
    mainwindow.cpp
    optionsdialog.cpp
    powermanagement/powermanagement.cpp
    previewlistdelegate.cpp
    previewselectdialog.cpp
    progressbarpainter.cpp
    properties/downloadedpiecesbar.cpp
    properties/peerlistsortmodel.cpp
    properties/peerlistwidget.cpp
    properties/peersadditiondialog.cpp
    properties/pieceavailabilitybar.cpp
    properties/piecesbar.cpp
    properties/propertieswidget.cpp
    properties/proptabbar.cpp
    properties/speedplotview.cpp
    properties/speedwidget.cpp
    raisedmessagebox.cpp
    rss/articlelistwidget.cpp
    rss/automatedrssdownloader.cpp
    rss/feedlistwidget.cpp
    rss/htmlbrowser.cpp
    rss/rsswidget.cpp
    search/pluginselectdialog.cpp
    search/pluginsourcedialog.cpp
    search/searchjobwidget.cpp
    search/searchsortmodel.cpp
    search/searchwidget.cpp
    shadowbanlistoptionsdialog.cpp
    shutdownconfirmdialog.cpp
    speedlimitdialog.cpp
    statsdialog.cpp
    statusbar.cpp
    torrentcategorydialog.cpp
    torrentcontentfiltermodel.cpp
    torrentcontentitemdelegate.cpp
    torrentcontentmodel.cpp
    torrentcontentmodelfile.cpp
    torrentcontentmodelfolder.cpp
    torrentcontentmodelitem.cpp
    torrentcontentwidget.cpp
    torrentcreatordialog.cpp
    torrentoptionsdialog.cpp
    torrentsharelimitswidget.cpp
    torrenttagsdialog.cpp
    trackerentriesdialog.cpp
    trackerlist/trackerlistitemdelegate.cpp
    trackerlist/trackerlistmodel.cpp
    trackerlist/trackerlistsortmodel.cpp
    trackerlist/trackerlistwidget.cpp
    trackersadditiondialog.cpp
    transferlistdelegate.cpp
    transferlistfilters/basefilterwidget.cpp
    transferlistfilters/categoryfiltermodel.cpp
    transferlistfilters/categoryfilterproxymodel.cpp
    transferlistfilters/categoryfilterwidget.cpp
    transferlistfilters/statusfilterwidget.cpp
    transferlistfilters/tagfiltermodel.cpp
    transferlistfilters/tagfilterproxymodel.cpp
    transferlistfilters/tagfilterwidget.cpp
    transferlistfilters/trackersfilterwidget.cpp
    transferlistfilterswidget.cpp
    transferlistmodel.cpp
    transferlistsortmodel.cpp
    transferlistwidget.cpp
    tristateaction.cpp
    tristatewidget.cpp
    uithemedialog.cpp
    uithememanager.cpp
    uithemesource.cpp
    utils.cpp
    watchedfolderoptionsdialog.cpp
    watchedfoldersmodel.cpp

    # generated .ui headers
    ${UI_HEADERS}
)

target_sources(qbt_gui INTERFACE about.qrc)

# UI headers will be generated in ${CMAKE_CURRENT_BINARY_DIR}
target_include_directories(qbt_gui PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(qbt_gui
    PRIVATE
        qbt_base
    PUBLIC
        Qt::Gui Qt::Widgets
)

if (DBUS)
    target_sources(qbt_gui PRIVATE
        notifications/dbusnotifier.h
        notifications/dbusnotifier.cpp
        notifications/dbusnotificationsinterface.h
        notifications/dbusnotificationsinterface.cpp
        powermanagement/powermanagement_x11.h
        powermanagement/powermanagement_x11.cpp
    )
endif()

if (STACKTRACE)
    qt_wrap_ui(STACKTRACE_UI_HEADERS stacktracedialog.ui)

    target_sources(qbt_gui PRIVATE
        stacktracedialog.h
        stacktracedialog.cpp
        ${STACKTRACE_UI_HEADERS}
    )
endif()

if ((CMAKE_SYSTEM_NAME STREQUAL "Windows") OR (CMAKE_SYSTEM_NAME STREQUAL "Darwin"))
    target_sources(qbt_gui PRIVATE
        programupdater.h
        programupdater.cpp
    )
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    target_sources(qbt_gui PRIVATE
        macosdockbadge/badger.h
        macosdockbadge/badger.mm
        macosdockbadge/badgeview.h
        macosdockbadge/badgeview.mm
        macosshiftclickhandler.h
        macosshiftclickhandler.cpp
        macutilities.h
        macutilities.mm
    )
    target_link_libraries(qbt_gui PRIVATE objc)
endif()
